FLANG

Public Types | Public Member Functions | List of all members
Fortran::evaluate::FunctionRef< A > Class Template Reference
Inheritance diagram for Fortran::evaluate::FunctionRef< A >:

## Public Types
using | Result = A

## Public Member Functions
| FunctionRef (ProcedureRef &&pr)
| FunctionRef (ProcedureDesignator &&p, ActualArguments &&a)
std::optional< DynamicType > | GetType () const
std::optional< Constant< Result > > | Fold (FoldingContext &)
Public Member Functions inherited from Fortran::evaluate::ProcedureRef
| ProcedureRef (ProcedureDesignator &&p, ActualArguments &&a, bool hasAlternateReturns=false)
ProcedureDesignator & | proc ()
const ProcedureDesignator & | proc () const
ActualArguments & | arguments ()
const ActualArguments & | arguments () const
std::optional< Expr< SubscriptInteger > > | LEN () const
int | Rank () const
bool | IsElemental () const
bool | hasAlternateReturns () const
bool | operator== (const ProcedureRef &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::ProcedureRef
static void | Deleter (ProcedureRef *)
Protected Attributes inherited from Fortran::evaluate::ProcedureRef
ProcedureDesignator | proc_
ActualArguments | arguments_
bool | hasAlternateReturns_

The documentation for this class was generated from the following file:

- include/flang/Evaluate/call.h